Bug 499993 - Review Request: dvtm - Tiling window management for the console
Review Request: dvtm - Tiling window management for the console
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-09 17:24 EDT by Rakesh Pandit
Modified: 2011-03-29 23:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.5.1-5.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-08 06:54:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2009-05-09 17:24:58 EDT
SRPM: http://rakesh.fedorapeople.org/srpm/dvtm-0.5.1-1.fc10.src.rpm
SPEC: http://rakesh.fedorapeople.org/spec/dvtm.spec

Description:
dvtm brings the concept of tiling window management, popularized by X11-window managers like dwm to the console. As a console window manager it tries to make it easy to work with multiple console based programs like vim, mutt, cmus or irssi.
Comment 2 Jochen Schmitt 2009-05-10 15:49:40 EDT
Good:
+ Basename of the SPECE file matches with upstream
+ Package fullfit naming guidelines
+ URL tag show on proper project home page
+ Package contains most recent version of the application
+ Could download upstream tar ball with spectool -g
+ Tar ball in packages matches with upstream 
(md5sum: 15af44198d6a636190480122b8de7155)
+ Package contains valid license tag
+ License tag has LGPLV2+ and MIT as valid OSS Licenses
+ Package contains verbatin copy of the MIT license text
+ Consistently usage of rpm macros
+ Proper Buildroot definition
+ Buildroot will be cleaned on beginning of %clean and %install
+ Inclused patch is reliable
+ Local build works fine
+ Pacmage support SMP build
+ Rpmlint is quite for source rpm
+ Rpmlint is quite for binary rpm
+ Rpmlint is quite for Debuginfo rpm
+ Koji build works fine
+ Local install and uninstall works fine
+ Start of the application works fine.
+ Files has proper files perrmisions
+ %files stanza contains no duplicates
+ Package contains no files which belong to ohter packages
+ All packaged files are own by this package
+ %doc stanza is small, so no extra doc subpackage is needed
+ Package contains proper %Changelog

Bad:
- Wrong RPM Group. I think the aim of the application is not to
  emulate an other OS or system.
- Sources contains no copyright notes. Please notify upstream
  to fix this issue.
- Package only contains verbatin license text for the MIT license
- Debuginfo package contains no sources
- Package doesn't honor RPM_OPT_FLAGS
Comment 3 Rakesh Pandit 2009-05-22 04:59:07 EDT
sent mail to author regarding request to put a license txt file for LGPLv2 and include license blocker.

- Wrong RPM Group. I think the aim of the application is not to
  emulate an other OS or system.

Fixed.

- Debuginfo package contains no sources

Fixed.

- Package doesn't honour RPM_OPT_FLAGS

Fixed.

http://rakesh.fedorapeople.org/spec/dvtm.spec
http://rakesh.fedorapeople.org/srpm/dvtm-0.5.1-2.fc10.src.rpm
Comment 4 Rakesh Pandit 2009-05-22 05:27:49 EDT
Reply from author:

========================================================================
Hi,

Rakesh Pandit schrieb:
> Hello Mat,
>
> I am packaging dvtm for fedora:
> https://bugzilla.redhat.com/show_bug.cgi?id=499993
>
> There are some issues which I need to address before this gets accepted:
> 1. The source files don't have license header information.

I personally don't want to clutter all files with a license header which
is almost as long as the code.

> 2. The package just contains LICENSE file for MIT license not LGPLv2. Site mentions project is under both licenses .. so a copy of later will help.

dvtm as whole is MIT/X11 the madtty.{c,h} files are LGPL. I think
it's common for distros to have the full license text under something
like /usr/share/common-licenses I therfore see no need to include it
in the source tarball.

See the following link for how debian handles it:

http://packages.debian.org/changelogs/pool/main/d/dvtm/dvtm_0.5.1-2/dvtm.copyright

Regards,
Marc

-- 
 Marc Andre Tanner >< http://www.brain-dump.org/ >< GPG key: CF7D56C0 


=======================================================================
Comment 5 Rakesh Pandit 2009-05-22 05:34:45 EDT
I don't think these license issues are blocker.

Fixed license field:

http://rakesh.fedorapeople.org/spec/dvtm.spec
http://rakesh.fedorapeople.org/srpm/dvtm-0.5.1-3.fc10.src.rpm
Comment 6 Rakesh Pandit 2009-05-24 05:34:39 EDT
ping ?:) Thanks for review, bit impatient!
Comment 7 Jochen Schmitt 2009-06-03 13:42:52 EDT
Good:
+ Debuginfo package contains sources

Bad:
- Package contains no verbatin copy the the LGPL licensed parts
- CC doesn't honour the RRM_OPT_FLAGS


+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'
+ make -j2
dvtm build options:
cleaning
CC dvtm.c
CFLAGS   = -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -std=c99 -Os -I. -I/usr/include -I/usr/local/i
nclude  -DVERSION="0.5.1" -DNDEBUG -DCONFIG_MOUSE -DCONFIG_STATUSBAR
LDFLAGS  = -L/usr/lib -L/usr/local/lib -lc -lutil -lncursesw
CC       = cc
CC madtty.c
dvtm.c: In function 'draw_border':
dvtm.c:457: warning: 's' may be used uninitialized in this function
bstack.c: In function 'bstack':
bstack.c:3: warni
Comment 8 Rakesh Pandit 2009-06-04 04:02:51 EDT
As in comment#4 upstream refused to add LGPLv2 copy .. so I have put in one. Regarding second issue .. in actual the CC dvtm.c and CC madtty.c where actually using CFLAGS but echo in Makefile was wrong .. I have fixed it and updated.


Done

http://rakesh.fedorapeople.org/srpm/dvtm-0.5.1-4.fc10.src.rpm
http://rakesh.fedorapeople.org/spec/dvtm.spec

%changelog
* Thu Jun 04 2009 Rakesh Pandit <rakesh@fedoraproject.org> 0.5.1-4
- Updated Makefile patch to echo current execution lines for
-  dvtm.c and madtty.c and added LGPLv2 txt file

Thanks,
Comment 9 Jochen Schmitt 2009-06-04 11:16:43 EDT
In general, if upstream not provide the verbatin copy of the license you don't need to put your own release of a copy into the package.
Comment 10 Rakesh Pandit 2009-06-04 12:05:32 EDT
Okay .. I will remove it .. but I don't think it is bad to keep it there .. rather good.

So, is it approved? Or some other issue to fix?
Comment 12 Jochen Schmitt 2009-06-04 12:18:09 EDT
Good:
+ Patch seems reliable
+ Proper RPM group
+ Package honour RPM_OPT_FLAGS

Bad:
- No verbatin copy of the LGPL (no blocker)

Your package is APPROVED
Comment 13 Rakesh Pandit 2009-06-04 12:27:01 EDT
Thanks :)

New Package CVS Request
=======================
Package Name:  dvtm
Short Description: Tiling window management for the console
Owners: rakesh
Branches: F-9 F-10 F-11
InitialCC:
Cvsextras Commits: yes
Comment 14 Jason Tibbitts 2009-06-04 18:25:07 EDT
FYI, we haven't used or paid any attention to "Cvextras Commits" for some time now.

CVS done.
Comment 15 Fedora Update System 2009-06-08 06:49:24 EDT
dvtm-0.5.1-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/dvtm-0.5.1-5.fc9
Comment 16 Fedora Update System 2009-06-08 06:50:15 EDT
dvtm-0.5.1-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/dvtm-0.5.1-5.fc10
Comment 17 Fedora Update System 2009-06-08 06:50:29 EDT
dvtm-0.5.1-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dvtm-0.5.1-5.fc11
Comment 18 Fedora Update System 2009-07-03 15:47:35 EDT
dvtm-0.5.1-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-07-03 15:50:59 EDT
dvtm-0.5.1-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2009-07-03 15:52:09 EDT
dvtm-0.5.1-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Adam Miller 2010-05-07 01:17:06 EDT
Package Change Request
======================
Package Name: dvtm
New Branches: EL-4 EL-5
Owners: maxamillion

I have contacted Rakesh Pandit and verified that Rakesh has no interest in maintaining dvtm for EPEL. I would like to take maintainership of it.

Thank you.
Comment 22 Kevin Fenzi 2010-05-08 22:05:05 EDT
cvs done.
Comment 23 Fedora Update System 2010-05-11 10:42:57 EDT
dvtm-0.5.2-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/dvtm-0.5.2-2.el5
Comment 24 Fedora Update System 2010-05-11 10:43:06 EDT
dvtm-0.5.2-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/dvtm-0.5.2-2.el4
Comment 25 Fedora Update System 2010-06-18 12:43:06 EDT
dvtm-0.5.2-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2010-06-18 12:43:53 EDT
dvtm-0.5.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Adam Miller 2011-03-29 15:34:01 EDT
Package Change Request
======================
Package Name: dvtm
New Branches: el6
Owners: maxamillion

Not sure what happened, but dvtm appears to have been missed during the mass branch for EPEL6.

-AdamM
Comment 28 Jason Tibbitts 2011-03-29 23:33:01 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.